org.apache.derby.optional.api

## Class LuceneUtils.DefaultIndexDescriptor

- java.lang.Object
- - org.apache.derby.optional.api.LuceneUtils.DefaultIndexDescriptor

- All Implemented Interfaces:
    LuceneIndexDescriptor
  Enclosing class:
    LuceneUtils

      public static class LuceneUtils.DefaultIndexDescriptor
      extends Object
      implements LuceneIndexDescriptor

  The default LuceneIndexDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultIndexDescriptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.Analyzer` | `getAnalyzer()` Return LuceneUtils.defaultAnalyzer()
    `String[]` | `getFieldNames()` Return the default array of field names { TEXT_FIELD_NAME }.
    `org.apache.lucene.queryparser.classic.QueryParser` | `getQueryParser()` Return LuceneUtils.defaultQueryParser( LuceneUtils.currentVersion(), getFieldNames(), getAnalyzer() ).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultIndexDescriptor

          public DefaultIndexDescriptor()

  - ### Method Detail

    - #### getFieldNames

          public String[] getFieldNames()

      Return the default array of field names { TEXT_FIELD_NAME }.
      Specified by:
        `getFieldNames` in interface `LuceneIndexDescriptor`

    - #### getAnalyzer

          public org.apache.lucene.analysis.Analyzer getAnalyzer()
                                                          throws SQLException

      Return LuceneUtils.defaultAnalyzer()
      Specified by:
        `getAnalyzer` in interface `LuceneIndexDescriptor`
      Throws:
        `SQLException`

    - #### getQueryParser

          public org.apache.lucene.queryparser.classic.QueryParser getQueryParser()
                                                                           throws SQLException

      Return LuceneUtils.defaultQueryParser( LuceneUtils.currentVersion(), getFieldNames(), getAnalyzer() ).
      Specified by:
        `getQueryParser` in interface `LuceneIndexDescriptor`
      Throws:
        `SQLException`

Apache Derby 10.14 API Documentation - Copyright © 2004,2018 The Apache Software Foundation. All Rights Reserved.